org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

## Class RefreshNodesRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest
  - - org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.RefreshNodesRequestPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class RefreshNodesRequestPBImpl
      extends org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RefreshNodesRequestPBImpl()`
    `RefreshNodesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RefreshNodesRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `Integer` | `getDecommissionTimeout()`
    `org.apache.hadoop.yarn.api.records.DecommissionType` | `getDecommissionType()`
    `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RefreshNodesRequestProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setDecommissionTimeout(Integer timeout)`
    `void` | `setDecommissionType(org.apache.hadoop.yarn.api.records.DecommissionType decommissionType)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest

      `newInstance, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RefreshNodesRequestPBImpl

          public RefreshNodesRequestPBImpl()

    - #### RefreshNodesRequestPBImpl

          public RefreshNodesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RefreshNodesRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RefreshNodesRequestProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setDecommissionType

          public void setDecommissionType(org.apache.hadoop.yarn.api.records.DecommissionType decommissionType)

      Specified by:
        `setDecommissionType` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest`

    - #### getDecommissionType

          public org.apache.hadoop.yarn.api.records.DecommissionType getDecommissionType()

      Specified by:
        `getDecommissionType` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest`

    - #### setDecommissionTimeout

          public void setDecommissionTimeout(Integer timeout)

      Specified by:
        `setDecommissionTimeout` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest`

    - #### getDecommissionTimeout

          public Integer getDecommissionTimeout()

      Specified by:
        `getDecommissionTimeout` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.